# Class VulkanLWJGLExtKHRSwapChain

java.lang.Object
com.io7m.jcoronado.lwjgl.internal.VulkanLWJGLExtKHRSwapChain

All Implemented Interfaces:
  `VulkanExtensionType`, `VulkanExtKHRSwapChainType`

public final class VulkanLWJGLExtKHRSwapChain extends Object implements VulkanExtKHRSwapChainType
Access to the `VK_KHR_swapchain` extension.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface com.io7m.jcoronado.extensions.khr_swapchain.api.VulkanExtKHRSwapChainType

  `VulkanExtKHRSwapChainType.VulkanKHRSwapChainType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `queuePresent(VulkanQueueType in_queue, VulkanPresentInfoKHR present_info)`
  Queue images for presentation.
  `VulkanExtKHRSwapChainType.VulkanKHRSwapChainType`
  `swapChainCreate(VulkanLogicalDeviceType in_device, VulkanSwapChainCreateInfo info)`
  Create a new swap chain.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.jcoronado.extensions.khr_swapchain.api.VulkanExtKHRSwapChainType

  `name`

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### swapChainCreate

    public VulkanExtKHRSwapChainType.VulkanKHRSwapChainType swapChainCreate(VulkanLogicalDeviceType in_device, VulkanSwapChainCreateInfo info) throws VulkanException
    Description copied from interface: `VulkanExtKHRSwapChainType`
    Create a new swap chain.
    Specified by:
      `swapChainCreate` in interface `VulkanExtKHRSwapChainType`
    Parameters:
      `in_device` - The physical device
      `info` - The creation info
    Returns:
      The capabilities of the given surface
    Throws:
      `VulkanException` - On errors
    See Also:
      - "vkCreateSwapchainKHR"

  - ### queuePresent

    public void queuePresent(VulkanQueueType in_queue, VulkanPresentInfoKHR present_info) throws VulkanException
    Description copied from interface: `VulkanExtKHRSwapChainType`
    Queue images for presentation.
    Specified by:
      `queuePresent` in interface `VulkanExtKHRSwapChainType`
    Parameters:
      `in_queue` - The presentation queue
      `present_info` - The presentation info
    Throws:
      `VulkanException` - On errors
    See Also:
      - "vkQueuePresentKHR"